{% extends 'base_articles.html' %}
{% load static %}
{% block cdnscript %}
{% endblock %}
{% block content %}
    <header class="container_judul">
        <a href="{% url "articles" %}" style="text-decoration: none">
        <h1 class="landing_judul">
            Semua Artikel
        </h1>
        </a>
        {% if user.is_authenticated %}
        <a href="{% url 'ajax_articles' %}">
            <img src="{% static 'image/plus 2.svg' %}" class="plus" alt="">
        </a>
        {% endif %}
    </header>
    {% if user.is_authenticated %}
    {% else %}
        <div class="no-login">
             <p>Silahkan login untuk menambahkan artikel</p>
        </div>
    {% endif %}

    <div class="btn_search_cont">
        <input id="keyword" placeholder="Masukan Judul Artikel" class="form-control">
        <button class="searchButton"> Cari Artikel</button>
        <button class="searchButton2"> <img src="{% static 'image/search.svg' %}" class="search_logo"></button>
    </div>

    <section class="container_articles">
        {% for artikel in semua_artikel  %}
        <div class="single_artikel">
            <div class="container_gambar">
                <img class = "gambar_artikel" src= "{{ artikel.gambar_artikel.url }}" alt="">
            </div>
            <div class="isi_artikel">
                <p class="judul_artikel">
                    {{ artikel.judul }}
                </p>
                <p class="isi_artikel">
                    {{ artikel.isi_artikel|truncatechars:130 }}
                </p>
            </div>

            <div class="hapus_dan_lanjutan">
                <form action="{% url 'selengkapnya' artikel.id %}" method="post">
                         {% csrf_token %}
                    <button type="submit" class="btn btn-info" id="btnselengkapnya">Selengkapnya</button>
                </form>
                {% if artikel.penulis == request.user.username %}
                    <a href="{% url 'hapus_artikel' artikel.id %}"><button type="button" class="btn btn-danger" id="btnHapusmain">Hapus Artikel</button></a>
                {% endif %}
                <button class="btn_kiri"> 🡸 </button>
                <button class="btn_kanan"> 🡺 </button>
            </div>

            <div class="tanggal_kategori">
                <p class="kategori">
                    Oleh <span style="color:red;"> {{ artikel.penulis }}</span>
                </p>
                <p class="tanggal_main">
                     🕐 {{ artikel.tanggal}}
                </p>
            </div>

        </div>
        {% endfor %}
    {% if jumlah_semua_artikel == 0 %}
        {% if user.is_authenticated %}
        <h1 class="tidak_ada_artikel">
            Wah belum ada artikel nih, tekan tombol + untuk menambahkan artikel...
        </h1>
        {% endif %}
    {% endif %}
    </section>
    <script src="{% static 'js/articles_js.js' %}"></script>
{% endblock %}
